cascading.cascade

## Class Cascades

- java.lang.Object
- - cascading.cascade.Cascades

-     public class Cascades
      extends java.lang.Object

  Class Cascades provides useful utilities for use in constructing `Cascade` and `Flow` instances via the `CascadeConnector` and `FlowConnector`, respectively.

  See the `FlowDef` for the recommended alternative to dealing with Maps of Taps.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cascades()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlowGraph` | `getFlowGraphFrom(Cascade cascade)`
    `static IdentifierGraph` | `getTapGraphFrom(Cascade cascade)`
    `static java.util.Map<java.lang.String,Tap>` | `tapsMap(Pipe[] pipes, Tap[] taps)` Method tapsMap creates a new Map using the given pipes and taps.
    `static java.util.Map<java.lang.String,Tap>` | `tapsMap(Pipe pipe, Tap tap)` Method tapsMap creates a new Map using the given Pipe name and tap.
    `static java.util.Map<java.lang.String,Tap>` | `tapsMap(java.lang.String[] names, Tap[] taps)` Method tapsMap creates a new Map for each name and tap.
    `static java.util.Map<java.lang.String,Tap>` | `tapsMap(java.lang.String name, Tap tap)` Method tapsMap creates a new Map for the given name and tap.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cascades

          public Cascades()

  - ### Method Detail

    - #### tapsMap

          public static java.util.Map<java.lang.String,Tap> tapsMap(java.lang.String name,
                                                    Tap tap)

      Method tapsMap creates a new Map for the given name and tap.
      Parameters:
        `name` - of type String
        `tap` - of type Tap
      Returns:
        Map

    - #### tapsMap

          public static java.util.Map<java.lang.String,Tap> tapsMap(java.lang.String[] names,
                                                    Tap[] taps)

      Method tapsMap creates a new Map for each name and tap.
      Parameters:
        `names` - of type String[]
        `taps` - of type Tap[]
      Returns:
        Map

    - #### tapsMap

          public static java.util.Map<java.lang.String,Tap> tapsMap(Pipe pipe,
                                                    Tap tap)

      Method tapsMap creates a new Map using the given Pipe name and tap.
      Parameters:
        `pipe` - of type Pipe
        `tap` - of type Tap
      Returns:
        Map

    - #### tapsMap

          public static java.util.Map<java.lang.String,Tap> tapsMap(Pipe[] pipes,
                                                    Tap[] taps)

      Method tapsMap creates a new Map using the given pipes and taps.
      Parameters:
        `pipes` - of type Pipe[]
        `taps` - of type Tap[]
      Returns:
        Map

    - #### getFlowGraphFrom

          public static FlowGraph getFlowGraphFrom(Cascade cascade)

    - #### getTapGraphFrom

          public static IdentifierGraph getTapGraphFrom(Cascade cascade)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.